## scope (/v2/scope)

this page last updated: 2019-10-20 23:12:05

# scope (/v2/scope)

class `cloudkittyclient.v2.scope.``ScopeManager`(api_client)

  Class used to handle /v2/scope endpoint

  `get_scope_state`(**kwargs)

    Returns a paginated list of scopes along with their state.

    Some optional filters can be provided.

    Parameters:

    - offset (int) – Index of the first scope that should be returned.
    - limit (int) – Maximal number of scopes to return.
    - collector (str or list of str) – Optional collector to filter on.
    - fetcher (str or list of str) – Optional fetcher to filter on.
    - scope_id (str or list of str) – Optional scope_id to filter on.
    - scope_key (str or list of str) – Optional scope_key to filter on.

  `reset_scope_state`(**kwargs)

    Returns nothing.

    Some optional filters can be provided. The all_scopes and the scope_id options are mutually exclusive and one must be provided.

    Parameters:

    - state (datetime.datetime) – datetime object from which the state will be reset
    - all_scopes (bool) – Whether all scopes must be reset
    - collector (str or list of str) – Optional collector to filter on.
    - fetcher (str or list of str) – Optional fetcher to filter on.
    - scope_id (str or list of str) – Optional scope_id to filter on.
    - scope_key (str or list of str) – Optional scope_key to filter on.

this page last updated: 2019-10-20 23:12:05

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug questions?